Rhythmbox constantly consumes 20-30% of CPU

Bug #551194 reported by Lionel Dricot on 2010-03-29
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
rhythmbox (Ubuntu)
Low
Unassigned

Bug Description

Binary package hint: rhythmbox

Just looks like bug #73744

RB constantly eats 20% of cpu on all my lucid machines, even those with a decent CPU. To the point of making impossible to browse the web and listenning to music at the same time.

mplayer, with any output, uses less than 1 top unit to read the same MP3 (and pulseaudio also stays behind 1).

With RB (or totem but a bit less visible), the CPU of the application is around 25 and pulseaudio is around 5.

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: rhythmbox 0.12.8-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.32-18.27-generic 2.6.32.10+drm33.1
Uname: Linux 2.6.32-18-generic i686
Architecture: i386
Date: Mon Mar 29 22:23:04 2010
ExecutablePath: /usr/bin/rhythmbox
ProcEnviron:
 LANG=fr_BE.UTF-8
 SHELL=/bin/bash
SourcePackage: rhythmbox
XsessionErrors:
 (polkit-gnome-authentication-agent-1:1271): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed
 (bluetooth-applet:1274): Gtk-CRITICAL **: gtk_action_set_sensitive: assertion `GTK_IS_ACTION (action)' failed
 (Do:1294): Wnck-CRITICAL **: wnck_set_client_type got called multiple times.
 (gnome-terminal:1613): Gtk-CRITICAL **: gtk_accel_map_unlock_path: assertion `entry != NULL && entry->lock_count > 0' failed

Lionel Dricot (ploum) wrote :
Sebastien Bacher (seb128) wrote :

Thank you for your bug report, what rhythmbox options do you use? does it make any difference?
do you have the issue on any format you play or only on specific one?
could you try if gst-launch playbin2 uri=... has the same issue?

Changed in rhythmbox (Ubuntu):
importance: Undecided → Low
status: New → Incomplete
Lionel Dricot (ploum) wrote :

I've tried without any options (like crossfade) and by disabling all the plugins. The only difference I've seen is that the info-panel plugin takes even more CPU.

So it's not related to the options/plugins.

It's also not related to format. Happens with both ogg and MP3 and with every single file I have on my disk.

gst-launch doesn't have any problem. The process stays behind 2% of the CPU (and PA always under 1%).

Also, note that it's fully related to "play". As soon as I hit the pause button, the CPU drop instantly. When I hit play again, it rises.

Lionel Dricot (ploum) on 2010-03-30
Changed in rhythmbox (Ubuntu):
status: Incomplete → New
Sebastien Bacher (seb128) wrote :

not confirming, on current lucid rhythmbox uses 6-7% there on a 3 years old laptop configuration

Lionel Dricot (ploum) wrote :

I did a strace on the RB processe, and I have tons of :

gettimeofday({1269937667, 515109}, NULL) = 0
read(10, "l\1\0\1\0\0\0\0\270\1\0\0\206\0\0\0\1\1o\0\33\0\0\0/org/gno"..., 2048) = 152
read(10, 0x9bcfc18, 2048) = -1 EAGAIN (Resource temporarily unavailable)
read(7, 0x9b866c0, 4096) = -1 EAGAIN (Resource temporarily unavailable)
gettimeofday({1269937667, 515498}, NULL) = 0
poll([{fd=5, events=POLLIN}, {fd=7, events=POLLIN}, {fd=13, events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=17, events=POLLIN|POLLPRI}, {fd=21, events=POLLIN}, {fd=22, events=POLLIN}, {fd=18, events=POLLIN}, {fd=3, events=POLLIN}, {fd=23, events=POLLIN}, {fd=25, events=POLLIN}, {fd=10, events=POLLIN}], 13, 0) = 0 (Timeout)
writev(10, [{"l\2\1\1\4\0\0\0\342\0\0\0\37\0\0\0\6\1s\0\5\0\0\0:1.55\0\0\0"..., 48}, {"\1\0\0\0", 4}], 2) = 52
read(7, 0x9b866c0, 4096) = -1 EAGAIN (Resource temporarily unavailable)

by comparaison, gst-launch only shows a few :

gettimeofday({1269937720, 82394}, NULL) = 0
poll([{fd=3, events=POLLIN}], 1, 249) = 0 (Timeout)
gettimeofday({1269937720, 332426}, NULL) = 0

SteVe Cook (yorvyk) wrote :

Noticed the 20% usage a while ago, thought it was normal for an old P4 Celeron

Sebastien Bacher (seb128) wrote :

do you get the issue in a guest session or with an another use? could be due to something in the user configuration?

On Tue, 30 Mar 2010 21:52:06 +0100, Sebastien Bacher <email address hidden>
wrote:

> do you get the issue in a guest session or with an another use? could be
> due to something in the user configuration?
>
Normal install to HDD, only alteration was to disable the plugins I don’t
use.

--
Steve (Yorvyk)
http://www.lubuntu.net

Lionel Dricot (ploum) wrote :

I realized yesterday that the situation has improved *a lot* with tihs week upgrade (unfortunatly, I cannot tell precisely when. Probably monday or tuesday night upgrade). Now, RB is always between 8 and 11% of CPU and doesn't seem to affect other applications anymore.

Steve, can you confirm this so we can close this bug as fixed ?

SteVe Cook (yorvyk) wrote :

On Fri, 02 Apr 2010 09:28:25 +0100, Lionel Dricot <email address hidden> wrote:

> I realized yesterday that the situation has improved *a lot* with tihs
> week upgrade (unfortunatly, I cannot tell precisely when. Probably
> monday or tuesday night upgrade). Now, RB is always between 8 and 11% of
> CPU and doesn't seem to affect other applications anymore.
>
> Steve, can you confirm this so we can close this bug as fixed ?
>
Running at 12-18% on my machine now, slightly higher than on 9.10 10-15%,
and generally better behaved. So yes I’m happy and I think you can close
the bug.
Hope that doesn’t jinx it :)

--
Steve (Yorvyk)
http://www.lubuntu.net

Pedro Villavicencio (pedro) wrote :

Closing the bug then, thank you both.

Changed in rhythmbox (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers